
//
//  secondView.swift
//  IOS08_生命周期
//
//  Created by lee on 2017/12/31.
//  Copyright © 2017年 物联网入门视频教程-IOS部分. All rights reserved.
//

import UIKit

class secondView: UIViewController {

    var btnBack: UIButton!
    //加载视图时调用该方法
    override func loadView() {
        super.loadView()
        print("secondView视图将要加载")
    }
    //视图加载结束时调用该方法
    override func viewDidLoad() {
        super.viewDidLoad()
        
        view.backgroundColor = UIColor.blue
        //实例化按钮
        btnBack = UIButton()
        //指定button的位置和大小
        btnBack.frame = CGRect(x: 20, y: 100, width: 200, height: 30)
        btnBack.setTitle("返回", for: UIControlState.normal)
        btnBack.backgroundColor = UIColor.green
        view.addSubview(btnBack)
        
        btnBack.addTarget(self, action: #selector(backClick), for: UIControlEvents.touchUpInside)
        print("secondView视图已经加载")
        
    }
    
    func backClick(){
    
        self.dismiss(animated: true, completion: nil)
    }
    //视图即将显示的时候调用该方法
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        print("secondView视图将要显示")
    }
    
    //视图已经显示的时候调用该方法
    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)
        print("secondView视图已经显示")
    }
    
    //视图将要消失的时候调用该方法
    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        print("secondView视图将要消失")
    }
    
    //视图已经消失的时候调用该方法
    override func viewDidDisappear(_ animated: Bool) {
        super.viewDidDisappear(animated)
        print("secondView视图已经消失")
    }

}
